// FILENAME:	CTF_Nexus_Shiva.cs
//
// AUTHORS:	Andrew [oAo]
//------------------------------------------------------------------------------

$missionName = "CTF_Nexus_Shiva";

$maxFlagCount  = 5;           // no of flags required by a team to end the game
$flagValue     = 5;          // points your team gets for capturing
$carrierValue  = 2;          //  "      "    "    "    " killing carrier
$killPoints    = 1;
$deathPoints   = 1;
$flagTime = 240;

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionLoad()
{
   cdAudioCycle("Purge", "Newtech", "SS4", "SS3");
}

function onMissionStart()
{
	initGlobalVars();
        initMobileNexi();
        openUplink();
        openTrackingOne();
        openTrackingTwo();
   
	plutoSounds();
}

function initMobileNexi()
{
   newObject("Nexi", SimGroup);
   addToSet("MissionGroup", "Nexi");
// create a Blue Mobile Nexus
   %i = randomInt(1,6);
   %path = "MissionGroup/Stuff/BlueNexusPath/marker" @ %i;
   %start = getObjectId(%path);
   %x = getPosition(%start, x);
   %y = getPosition(%start, y);
   %herc = NewObject("BlueNexus", Tank, 94);
   setTeam(%herc, *IDSTR_TEAM_BLUE);
   addToSet("MissionGroup/Nexi", %herc);
   placeObject(%herc, %x, %y);
   order (%herc, guard, "MissionGroup/Stuff/BlueNexusPath");
   order (%herc, speed, low);

// create a Purple Mobile Nexus
   %i = randomInt(1,6);
   %path = "MissionGroup/Stuff/PurpleNexusPath/marker" @ %i;
   %start = getObjectId(%path);
   %x = getPosition(%start, x);
   %y = getPosition(%start, y);
   %herc = NewObject("PurpleNexus", Tank, 94);
   setTeam(%herc, *IDSTR_TEAM_PURPLE);
   addToSet("MissionGroup/Nexi", %herc);
   placeObject(%herc, %x, %y);
   order (%herc, guard, "MissionGroup/Stuff/PurpleNexusPath");
   order (%herc, speed, low);

}

function placeObject (%object, %x, %y, %rot)
{
  // function by the legendary Dolf Kooz
  if ( %rot == "" ) %rot = 0;

  %z = getTerrainHeight(%x, %y);
  setPosition (%object, %x, %y, %z, %rot);

}

function openUplink()
{
   playAnimSequence(getObjectID("MissionGroup\\BlueBase\\cUplink1"), 0, true);

}

function openTrackingOne()
{
   playAnimSequence(getObjectID("MissionGroup\\PurpleBase\\cTracking1"), 0, true);

}

function openTrackingTwo()
{
   playAnimSequence(getObjectID("MissionGroup\\PurpleBase\\cTracking2"), 0, true);

}


function Uplink::structure::onAttacked(%attacked, %attacker)
{
     playAnimSequence(getObjectID("MissionGroup\\BlueBase\\cUplink1"), 0, false);
     schedule ("openUplink();", 30);
  
}

function TrackingOne::structure::onAttacked(%attacked, %attacker)
{
     playAnimSequence(getObjectID("MissionGroup\\PurpleBase\\cTracking1"), 0, false);
     schedule ("openTrackingOne();", 30);
  
}

function TrackingTwo::structure::onAttacked(%attacked, %attacker)
{
     playAnimSequence(getObjectID("MissionGroup\\PurpleBase\\cTracking2"), 0, false);
     schedule ("openTrackingTwo();", 30);
  
}
