// FILENAME:	CTF_Rangrid_Base.cs
//
// AUTHORS:	Andrew [oAo]
//------------------------------------------------------------------------------

$missionName = "CTF_Rangrid_Base";

$maxFlagCount  = 5;           // no of flags required by a team to end the game
$flagValue     = 5;          // points your team gets for capturing
$carrierValue  = 2;          //  "      "    "    "    " killing carrier
$killPoints    = 1;
$deathPoints   = 1;
$flagTime = 180;

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionLoad()
{
   cdAudioCycle("Gnash", "SS4", "SS3");
}

function onMissionStart()
{
	initGlobalVars();
        dispertionCycle();
           
	venusSounds();
}

// easter egg functionality

function vehicle::onAdd(%this)
{
     %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
     say(%player, 1, "TAC-COM: Most of the ground in this area is still hot after recent geological activity and can damage vehicles that remain on it for an extended time.  The road and the hilltops, as well as paved areas of your own base, are safe.\n\nWelcome to Venus.  Check your seals.");

}

function LavaTrigger::Trigger::onContact(%this, %object)
{
	damageObject(%object, 50);  // damages the object gradually
}


